Astrocal
API ReferenceWebhooksV1Webhooks

List webhook endpoints

Lists all webhook endpoints for the authenticated organization. Signing secrets are never included in list responses.

GET
/v1/webhooks

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

limit?integer
starting_after?string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhooks"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "string",
      "events": [
        "string"
      ],
      "active": true,
      "verification_status": "pending",
      "verified_at": "string",
      "verification_last_error": "string",
      "consecutive_failures": 0,
      "suspended_at": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "has_more": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}